const useBeeperStore = defineStore(
  'beeper',
  {
    state: () => ({
      port: null,
      writer: null,
      reader: null,
      selected: false,
      opened: false,
    }),
    actions: {
      setPort(port){
        this.port = port
      },
      setWriter(writer){
        this.writer = writer
      },
      setReader(reader){
        this.reader = reader
      },
      setSelected(selected){
        this.selected = selected
      },
      setOpened(opened){
        this.opened = opened
      },
    }
  })

export default useBeeperStore
